Commits

Anselm Kruis  committed 72f138d

Update the linux installer and Lib to stackless v2.7.5.

  • Participants
  • Parent commits ca93212

Comments (0)

Files changed (7)

 syntax: regexp
 ^MANIFEST$
 syntax: regexp
-^C4_linux-x86_64/dist$
+^C4_linux-x86_64_2\.7/dist$
 syntax: regexp
-^C4_linux-x86_64/stackless_installer_C4_linux_x86_64\.egg-info$
+^C4_linux-x86_64_2\.7/stackless_installer_C4_linux_x86_64\.egg-info$
 syntax: regexp
 ^C2_win32_2\.7/dist
 syntax: regexp

File C2_win-amd64_2.7/slpInstaller/Lib/pickle.py

         rep = self.readline()[:-1]
         for q in "\"'": # double or single quote
             if rep.startswith(q):
-                if not rep.endswith(q):
+                if len(rep) < 2 or not rep.endswith(q):
                     raise ValueError, "insecure string pickle"
                 rep = rep[len(q):-len(q)]
                 break

File C2_win32_2.7/slpInstaller/Lib/pickle.py

         rep = self.readline()[:-1]
         for q in "\"'": # double or single quote
             if rep.startswith(q):
-                if not rep.endswith(q):
+                if len(rep) < 2 or not rep.endswith(q):
                     raise ValueError, "insecure string pickle"
                 rep = rep[len(q):-len(q)]
                 break

File C4_linux-x86_64_2.7/slpInstaller/Lib/pickle.py

         rep = self.readline()[:-1]
         for q in "\"'": # double or single quote
             if rep.startswith(q):
-                if not rep.endswith(q):
+                if len(rep) < 2 or not rep.endswith(q):
                     raise ValueError, "insecure string pickle"
                 rep = rep[len(q):-len(q)]
                 break

File C4_linux-x86_64_2.7/slpInstaller/__init__.py

 
 UCS=4
 PLATFORM="linux-x86_64"
-STACKLESS_VERSION = (2,7,4)
+STACKLESS_VERSION = (2,7,5)
 INSTALLER_VERSION = (1,)
 
 INSTALLER_VERSION_STR = ".".join(map(str,STACKLESS_VERSION + INSTALLER_VERSION))

File C4_linux-x86_64_2.7/slpInstaller/linux-x86_64/lib.stackless/libpython2.7.so.1.0sl

Binary file modified.

File C4_linux-x86_64_2.7/slpInstaller/linux-x86_64/slpython2.7

Binary file modified.